Bug 511124 - Fontmatrix can not process fonts with a ampersand in their name
Fontmatrix can not process fonts with a ampersand in their name
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: fontmatrix (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-13 15:26 EDT by Nicolas Mailhot
Modified: 2009-08-04 03:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-04 03:16:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2009-07-13 15:26:11 EDT
Description of problem:

Fontmatrix can not process fonts with a ampersand in their name

Version-Release number of selected component (if applicable):

fontmatrix-0:0.5.0-2.r931.fc12.x86_64

How reproducible:

Test it on one of the bpg font packages
Comment 1 Parag Nemade 2009-07-29 07:28:24 EDT
I think this is freetype issue.
When I looked into source code I saw that in freetype.h, structure FT_FaceRec has member family_name.

So I guess either its issue with freetype or bpg fonts in Fedora should drop "&"
will check further.
Comment 2 Parag Nemade 2009-08-04 03:16:20 EDT
it was problem in how fontmatrix writes xhtml files. This bug is now fixed in new release fontmatrix-0.6.99-1.r1072.fc12

Note You need to log in before you can comment on or make changes to this bug.